POST Api/Website/SaveWebsiteMenu
Request Information
URI Parameters
None.
Body Parameters
InsertUpdateMenuData| Name | Description | Type | Additional information |
|---|---|---|---|
| xmlHeaderMenuStr | string |
None. |
|
| xmlFooterMenuStr | string |
None. |
|
| xmlFooterSubmenuStr | string |
None. |
|
| WebsiteId | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"xmlHeaderMenuStr": "sample string 1",
"xmlFooterMenuStr": "sample string 2",
"xmlFooterSubmenuStr": "sample string 3",
"WebsiteId": 4
}
application/xml, text/xml
Sample:
<InsertUpdateMenuData xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/CRUDAPI.Models"> <WebsiteId>4</WebsiteId> <xmlFooterMenuStr>sample string 2</xmlFooterMenuStr> <xmlFooterSubmenuStr>sample string 3</xmlFooterSubmenuStr> <xmlHeaderMenuStr>sample string 1</xmlHeaderMenuStr> </InsertUpdateMenuData>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, application/xml, text/xml
Sample:
Sample not available.